import responseFormatterInterceptor from "./interceptors/responseFormatter";
import generateErrorLog from "./interceptors/errorLog";
import generateRequestAfterLog, { generateResponseFormattedLog } from "./interceptors/requestAfterLog";
import generateRequestBeforeLog from "./interceptors/requestBeforeLog";
import responseErrorFormatterInterceptor from "./interceptors/responseErrorFormatter";
import appletHttp, { AppletHttp } from "./AppletHttp";
import { IApiInterceptorGetTokenFn } from "./interface";
export { appletHttp, AppletHttp };
export { responseFormatterInterceptor };
export { responseErrorFormatterInterceptor };
export { generateErrorLog };
export { generateRequestAfterLog };
export { generateRequestBeforeLog };
export { generateResponseFormattedLog };
export declare function signInterceptor(appKey: string, appCode: string): (config: any) => any;
export declare function getTokenRequestInterceptor(getToken: IApiInterceptorGetTokenFn, options?: Record<string, any>): (config: any) => Promise<any>;
export declare function refreshTokenResponseInterceptor(isRefresh: boolean, getToken: IApiInterceptorGetTokenFn): (res: any) => Promise<any>;
